﻿#!/bin/sh
for file in *.crt
do
  filename="${file%.*}.pem"
  echo "file name: $filename"
  openssl x509 -in $file -out $filename -outform PEM
  subkey_id=$(openssl x509 -in $filename -noout -text | awk '/Subject Key Identifier/{getline;print $1}' | sed -e 's/\://g;y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/')
  echo "Key id: $subkey_id"
  if [ -z "$subkey_id" ]
  then
      echo "no key found deleting pem"
      rm $filename
  else
      echo "renaming pem file with identifier"
      mv "$filename" "${subkey_id}.pem"
  fi
done